Bug 613218 - SELinux is preventing /sbin/dhclient "search" access on /var/lib/wicd.
Summary: SELinux is preventing /sbin/dhclient "search" access on /var/lib/wicd.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 13
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:53ef5f9817a...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-10 04:06 UTC by dtdraganov
Modified: 2010-08-06 11:14 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 622476 (view as bug list)
Environment:
Last Closed: 2010-08-06 11:14:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description dtdraganov 2010-07-10 04:06:36 UTC
Summary:

SELinux is preventing /sbin/dhclient "search" access on /var/lib/wicd.

Detailed Description:

SELinux denied access requested by dhclient. It is not expected that this access
is required by dhclient and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023
Target Context                system_u:object_r:NetworkManager_var_lib_t:s0
Target Objects                /var/lib/wicd [ dir ]
Source                        dhclient
Source Path                   /sbin/dhclient
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           dhclient-4.1.1-23.P1.fc13
Target RPM Packages           wicd-common-1.7.0-1.fc13
Policy RPM                    selinux-policy-3.7.19-33.fc13
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.33.6-147.fc13.x86_64 #1 SMP Tue
                              Jul 6 22:32:17 UTC 2010 x86_64 x86_64
Alert Count                   1
First Seen                    Fri 09 Jul 2010 04:06:49 PM EEST
Last Seen                     Fri 09 Jul 2010 04:06:49 PM EEST
Local ID                      54ea8a6a-8614-4b83-a0cf-b3a57e87f669
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1278680809.772:139130): avc:  denied  { search } for  pid=21334 comm="dhclient" name="wicd" dev=dm-0 ino=1464743 scontext=unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023 tcontext=system_u:object_r:NetworkManager_var_lib_t:s0 tclass=dir

node=(removed) type=SYSCALL msg=audit(1278680809.772:139130): arch=c000003e syscall=2 success=no exit=-13 a0=7fffaaaebf8f a1=80000 a2=68e720 a3=38 items=0 ppid=7228 pid=21334 auid=500 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=1 comm="dhclient" exe="/sbin/dhclient" subj=unconfined_u:system_r:dhcpc_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,dhclient,dhcpc_t,NetworkManager_var_lib_t,dir,search
audit2allow suggests:

#============= dhcpc_t ==============
allow dhcpc_t NetworkManager_var_lib_t:dir search;

Comment 1 Miroslav Grepl 2010-07-12 16:34:24 UTC
Dan,
dhcpc needs to read /var/lib/wicd/dhclient.conf

Comment 2 Miroslav Grepl 2010-07-13 08:01:14 UTC
Fixed in selinux-policy-3.7.19-36.fc13

Comment 3 Fedora Update System 2010-07-14 14:26:00 UTC
selinux-policy-3.7.19-37.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13

Comment 4 Fedora Update System 2010-07-14 23:07:51 UTC
selinux-policy-3.7.19-37.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.7.19-37.fc13

Comment 5 Robert Story 2010-08-05 16:52:12 UTC
Can we get an update for F12 too? (Should I file a separate bug?) I have selinux-policy-3.6.32-118.fc12.noarch:

node=example.org type=AVC msg=audit(1280932074.577:2494): avc: denied { search } for pid=12094 comm="dhclient" name="wicd" dev=dm-6 ino=167857 scontext=unconfined_u:system_r:dhcpc_t:s0 tcontext=system_u:object_r:NetworkManager_var_lib_t:s0 tclass=dir

Comment 6 Miroslav Grepl 2010-08-06 11:14:08 UTC
(In reply to comment #5)
> Can we get an update for F12 too? (Should I file a separate bug?) 

Please open a new bugzilla for F12.


Note You need to log in before you can comment on or make changes to this bug.